using System.ComponentModel;

namespace Hotline.Share.Enums.Push
{
    /// <summary>
    /// 0:未发送  1:发送中  2:发送失败  3:发送成功
    /// </summary>
    public enum ESendState
    {
        /// <summary>
        /// 未发送
        /// </summary>
        [Description("未发送")]
        Pushing = 0,

        /// <summary>
        /// 发送中
        /// </summary>
        [Description("发送中")]
        Sending = 1,

        /// <summary>
        /// 发送失败
        /// </summary>
        [Description("发送失败")]
        Failed = 2,

        /// <summary>
        /// 发送成功
        /// </summary>
        [Description("发送成功")]
        Success = 3
    }
}
